.PHONY: build clean test

BIN_DIR=bin
APP_NAME=hello-api
VERSION=1.0.0

build:
	mkdir -p $(BIN_DIR)
	go build -o $(BIN_DIR)/$(APP_NAME)-$(VERSION) main.go

clean:
	rm -rf $(BIN_DIR)

test:
	go test -v ./...